JavassistLazyInitializer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.pojo.javassist
Class JavassistLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer
              org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer

All Implemented Interfaces:
  javassist.util.proxy.MethodHandler, LazyInitializer

    public class JavassistLazyInitializer

extends BasicLazyInitializer
implements javassist.util.proxy.MethodHandler

A Javassist-based lazy initializer proxy.

Field Summary

Fields inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`componentIdType, getIdentifierMethod, INVOKE_IMPLEMENTATION, overridesEquals, persistentClass, setIdentifierMethod`

Method Summary
`static HibernateProxy` | `getProxy(Class factory, String entityName, Class persistentClass, Class[] interfaces, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType, Serializable id, SessionImplementor session, boolean classOverridesEquals)`
`static HibernateProxy` | `getProxy(String entityName, Class persistentClass, Class[] interfaces, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType, Serializable id, SessionImplementor session)`
`static Class` | `getProxyFactory(Class persistentClass, Class[] interfaces)`
`Object` | `invoke(Object proxy, Method thisMethod, Method proceed, Object[] args)`
`protected Object` | `serializableProxy()`

Methods inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`getPersistentClass, invoke`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isReadOnly, isReadOnlyBeforeAttachedToSession, isReadOnlySettingAvailable, isUninitialized, isUnwrap, setIdentifier, setImplementation, setReadOnly, setSession, setUnwrap, unsetSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProxy

    public static HibernateProxy getProxy(String entityName,
                                          Class persistentClass,
                                          Class[] interfaces,
                                          Method getIdentifierMethod,
                                          Method setIdentifierMethod,
                                          CompositeType componentIdType,
                                          Serializable id,
                                          SessionImplementor session)
                                   throws HibernateException

  Throws:
    `HibernateException`

### getProxy

    public static HibernateProxy getProxy(Class factory,
                                          String entityName,
                                          Class persistentClass,
                                          Class[] interfaces,
                                          Method getIdentifierMethod,
                                          Method setIdentifierMethod,
                                          CompositeType componentIdType,
                                          Serializable id,
                                          SessionImplementor session,
                                          boolean classOverridesEquals)
                                   throws HibernateException

  Throws:
    `HibernateException`

### getProxyFactory

    public static Class getProxyFactory(Class persistentClass,
                                        Class[] interfaces)
                                 throws HibernateException

  Throws:
    `HibernateException`

### invoke

    public Object invoke(Object proxy,
                         Method thisMethod,
                         Method proceed,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `javassist.util.proxy.MethodHandler`
  Throws:
    `Throwable`

### serializableProxy

    protected Object serializableProxy()

  Specified by:
    `serializableProxy` in class `BasicLazyInitializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.